titleImage = Image.load("title.png")
contest = Image.load("contest.png")

function Controls.waitpadup()
	pad=Controls.read()
	while pad:select() or pad:start() or pad:up() or pad:right() or pad:down() or pad:left() or pad:l() or pad:r() or pad:triangle() or pad:circle() or pad:cross() or pad:square() do
		screen.waitVblankStart()
		pad=Controls.read()
	end
end

Controls.waitpadup()

	screen:clear()
	screen:blit(0,0,contest)
	screen.waitVblankStart()
	screen.flip()
	screen.waitVblankStart(200)

	thisTimer=0

repeat
	screen.waitVblankStart()
	pad = Controls.read()
	screen:clear()
	screen:blit(0,0,contest)
	if thisTimer<15 then
		screen:print(196,250,"PRESS START",Color.new(255,0,0))
	end
	screen.waitVblankStart()
	screen.flip()
	thisTimer=math.mod(thisTimer+1,30)
until pad:start()

Controls.waitpadup()

Music.playFile("title.it",true)

repeat
	screen.waitVblankStart()
	pad = Controls.read()

	if pad:start() then
		Controls.waitpadup()
		myCWD = System.currentDirectory()
		if Music.playing() then
			Music.stop()
		end
		dofile("./game.lua")
		Controls.waitpadup()
		System.currentDirectory(myCWD)
		Music.playFile("title.it",true)
	elseif pad:triangle() then
		Controls.waitpadup()
		myCWD = System.currentDirectory()
		if Music.playing() then
			Music.stop()
		end
		dofile("./edit.lua")
		Controls.waitpadup()
		System.currentDirectory(myCWD)
		Music.playFile("title.it",true)
	elseif pad:cross() then
		Controls.waitpadup()
		dofile("./guide.lua")
		Controls.waitpadup()
	end

	screen:clear()
	screen:blit(0,0,titleImage)
	screen:print(445,80,"v0.2",Color.new(255,0,0))
	screen:print(164,84,"PRESS START TO PLAY",Color.new(0,0,0))
	screen:print(112,97,"Press triangle for puzzle editor",Color.new(0,0,0))
	screen:print(170,110,"Press cross for guide",Color.new(0,0,0))
	screen:print(190,124,"Press select to quit",Color.new(0,0,0))

	screen.waitVblankStart()
	screen.flip()

until pad:select()

Controls.waitpadup()

if Music.playing() then
	Music.stop()
end
