guideImage = Image.load("mario.png")
letter = Image.load("letter.png")

function screenGuide(number)
	screen:clear()
	screen:blit(0,0,guideImage)
	if number==1 then
		screen:print(110,176,"Hi people!!",Color.new(0,0,0))
		screen:print(110,186,"It's time for us to solve the",Color.new(0,0,0))
		screen:print(110,196,"mystery of picross!",Color.new(0,0,0))
		screen:print(110,236,"PRESS LEFT TO GO BACK",Color.new(0,0,0))
		screen:print(110,246,"PRESS RIGHT TO GO FORWARD",Color.new(0,0,0))
		screen:print(110,256,"PRESS SELECT TO EXIT",Color.new(0,0,0))
	elseif number==2 then
		screen:print(110,176,"The mystery lies in the numbers",Color.new(0,0,0))
		screen:print(110,186,"on the top and the left side of",Color.new(0,0,0))
		screen:print(110,196,"the window, which together will",Color.new(0,0,0))
		screen:print(110,206,"help you to draw the secret",Color.new(0,0,0))
		screen:print(110,216,"picture.",Color.new(0,0,0))
		screen:fillRect(194, 16, 2, 72, Color.new(255,0,0))
		screen:fillRect(256, 16, 2, 72, Color.new(255,0,0))
		screen:fillRect(194, 16, 64, 2, Color.new(255,0,0))
		screen:fillRect(194, 86, 64, 2, Color.new(255,0,0))
		screen:fillRect(116, 94, 72, 2, Color.new(255,0,0))
		screen:fillRect(116, 156, 72, 2, Color.new(255,0,0))
		screen:fillRect(186, 94, 2, 64, Color.new(255,0,0))
		screen:fillRect(116, 94, 2, 64, Color.new(255,0,0))
	elseif number==3 then
		screen:print(110,176,"If you solve the puzzle",Color.new(0,0,0))
		screen:print(110,186,"correctly, the entire picture",Color.new(0,0,0))
		screen:print(110,196,"will be shown.",Color.new(0,0,0))
		screen:print(110,206,"(It's the letter N.)",Color.new(0,0,0))
		screen:blit(198, 98, letter)
	elseif number==4 then
		screen:print(110,176,"Here are the rules to solving",Color.new(0,0,0))
		screen:print(110,186,"the mystery...",Color.new(0,0,0))
		screen:blit(198, 98, letter)
	elseif number==5 then
		screen:print(110,176,"The numbers above the columns",Color.new(0,0,0))
		screen:print(110,186,"tell you how many boxes you need",Color.new(0,0,0))
		screen:print(110,196,"to chisel in the downward",Color.new(0,0,0))
		screen:print(110,206,"direction.",Color.new(0,0,0))
		screen:fillRect(194, 16, 2, 72, Color.new(255,0,0))
		screen:fillRect(256, 16, 2, 72, Color.new(255,0,0))
		screen:fillRect(194, 16, 64, 2, Color.new(255,0,0))
		screen:fillRect(194, 86, 64, 2, Color.new(255,0,0))
	elseif number==6 then
		screen:print(110,176,"This one is a 5, so you will",Color.new(0,0,0))
		screen:print(110,186,"need to chisel in 5 consecutive",Color.new(0,0,0))
		screen:print(110,196,"boxes.",Color.new(0,0,0))
		screen:fillRect(194, 16, 2, 72, Color.new(255,0,0))
		screen:fillRect(208, 16, 2, 72, Color.new(255,0,0))
		screen:fillRect(194, 16, 16, 2, Color.new(255,0,0))
		screen:fillRect(194, 86, 16, 2, Color.new(255,0,0))
		screen:blit(198, 98, letter, 0,0,10,58)
	elseif number==7 then
		screen:print(110,176,"The numbers on the left of the",Color.new(0,0,0))
		screen:print(110,186,"rows tell you how many boxes you",Color.new(0,0,0))
		screen:print(110,196,"need to chisel in the",Color.new(0,0,0))
		screen:print(110,206,"left-to-right direction.",Color.new(0,0,0))
		screen:fillRect(116, 94, 72, 2, Color.new(255,0,0))
		screen:fillRect(116, 156, 72, 2, Color.new(255,0,0))
		screen:fillRect(186, 94, 2, 64, Color.new(255,0,0))
		screen:fillRect(116, 94, 2, 64, Color.new(255,0,0))
	elseif number==8 then
		screen:print(110,176,"This one is a 3 and 1, so you",Color.new(0,0,0))
		screen:print(110,186,"will need to chisel in 3",Color.new(0,0,0))
		screen:print(110,196,"consecutive boxes and 1 single",Color.new(0,0,0))
		screen:print(110,206,"box, separated by at least 1",Color.new(0,0,0))
		screen:print(110,216,"space.",Color.new(0,0,0))
		screen:fillRect(116, 108, 72, 2, Color.new(255,0,0))
		screen:fillRect(116, 120, 72, 2, Color.new(255,0,0))
		screen:fillRect(186, 108, 2, 12, Color.new(255,0,0))
		screen:fillRect(116, 108, 2, 12, Color.new(255,0,0))
		screen:blit(198, 110, letter, 0,12,58,10)
	elseif number==9 then
		screen:print(110,176,"If you do not solve the secret",Color.new(0,0,0))
		screen:print(110,186,"picture in 30 minutes, then your",Color.new(0,0,0))
		screen:print(110,196,"game is over.",Color.new(0,0,0))
	elseif number==10 then
		screen:print(110,176,"If you make a mistake, then your",Color.new(0,0,0))
		screen:print(110,186,"remaining time will be reduced.",Color.new(0,0,0))
		screen:print(110,196,"But try not to panic!",Color.new(0,0,0))
	elseif number==11 then
		screen:print(110,176,"You can mark boxes that you",Color.new(0,0,0))
		screen:print(110,186,"think should stay clear with an",Color.new(0,0,0))
		screen:print(110,196,"X.",Color.new(0,0,0))
		screen:blit(198, 110, letter, 0,12,58,10)
		screen:fillRect(236, 112, 2, 2, Color.new(0,0,0))
		screen:fillRect(240, 112, 2, 2, Color.new(0,0,0))
		screen:fillRect(238, 114, 2, 2, Color.new(0,0,0))
		screen:fillRect(240, 116, 2, 2, Color.new(0,0,0))
		screen:fillRect(236, 116, 2, 2, Color.new(0,0,0))
	elseif number==12 then
		screen:print(110,176,"GOOD LUCK!!",Color.new(0,0,0))
		screen:print(110,236,"PRESS LEFT TO GO BACK",Color.new(0,0,0))
		screen:print(110,246,"PRESS RIGHT TO GO FORWARD",Color.new(0,0,0))
		screen:print(110,256,"PRESS SELECT TO EXIT",Color.new(0,0,0))
	end
	screen.waitVblankStart()
	screen.flip()
end

i=1

oldPad = Controls.read()

repeat
	screen.waitVblankStart()
	pad = Controls.read()
	if pad~=oldPad then
		if pad:right() then
			i=i+1
			if i>12 then
				i=12
			end
		elseif pad:left() then
			i=i-1
			if i<1 then
				i=1
			end
		end
	end

	screenGuide(i)

	oldPad=pad
until pad:select()
